<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'config.php';
$align='left';
$nk = intval($_GET['nk']);
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".$nk."'"));
$title='Видео '.$inf['user'].'';
aut();
head();
who_add(0,'enter'); // Занисываем Кто онлайн...

if ($inf['id']!=$user['id'])$db->sql_query ("INSERT INTO oko (user_id,who_id,msg,time) VALUES ('$inf[id]','$user[id]','".check('Смотрит ваше Видео')."','$time')");

$mid = check(intval($_GET['mid']));
if(empty($mid)){

$q = $db->sql_fetchrow($db->sql_query ("Select * from video where user_id = '".$inf['id']."'"));


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from video where  user_id = '".$inf['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from video where  user_id = '".$inf['id']."' order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Файлов нет.<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo '<a href="'.H.'video'.$inf['id'].'_'.$a['id'].'">'.$a['name'].'</a>
<br />'.$a['kom'].'<br />
<small>Добавлен: '.times($a['time']).'</small><br/>';
echo '<dt></dt>';
}

if ($k_page>1){
echo '<dl><dt></dt></dl>';
str('?',$k_page,$page);
echo '<br /><dl><dt></dt></dl><br />';
}

if($inf[id]==$user[id])echo '<dt></dt><a href="add_video">Добавить</a><br />';





}else{

$f = $db->sql_fetchrow($db->sql_query("Select * from video where id = '".$mid."' and user_id = '".$inf['id']."'"));

echo '<a href="'.H.'video'.$inf['id'].'">Видео '.$inf['user'].'</a> | <b>'.$f['name'].'</b><dt></dt>';

$ff = $db->sql_fetchrow($db->sql_query("Select * from video where id = '".$mid."' and user_id = '".$inf['id']."'"));
if (mysql_affected_rows()==0){
echo 'Такого фото не существует!<br />';
}else{


if(isset($_GET['deler'])) {
$d = $db->sql_fetchrow($db->sql_query("SELECT * FROM `video` WHERE `id`='".$f['id']."';"));
if($d[user_id]==$user[id] || $user[level]>=5){
$flag = unlink (H."files/video/".$d['adres']."");
if($flag){
@$db->sql_query("delete from `video` WHERE `id`='".$f['id']."';");
$del_video="Файл успешно удален<br />";

header ('Location: '.H.'video'.$inf['id'].'?'.SID);  exit;
}else{
$del_video="Ошибка удаления файла<br />"; }

echo $del_video;
}
}



$f['prosm']++;
$db->sql_query("UPDATE `video` SET `prosm` = '".$f['prosm']."' WHERE `id` = '".$mid."';");
echo '&#160;&#160;&#160;&#160;';
$f0 = @$db->sql_fetchrow($db->sql_query("SELECT * FROM `video` WHERE user_id = '".$inf['id']."' and `id` < '".$mid."' ORDER BY `id` DESC LIMIT 1;"));
$f2 = @$db->sql_fetchrow($db->sql_query("SELECT * FROM `video` WHERE  user_id = '".$inf['id']."' and `id` > '".$mid."' ORDER BY `id` LIMIT 1;"));

if(isset($f0['id']))echo '<a href="'.H.'video'.$inf['id'].'_'.$f0['id'].'">&lt;&lt;&lt;</a>';
if(isset($f0['id'])&&isset($f2['id']))echo ' | ';
if(isset($f2['id']))echo '<a href="'.H.'video'.$inf['id'].'_'.$f2['id'].'">&gt;&gt;&gt;</a><br/>';
echo '<br/>';

$adres = H."files/video/".$f['adres']."";



if(($f['format'] == '.3gp' || $f['format'] == '.avi' || $f['format'] == '.mp4') && extension_loaded('ffmpeg')){
$mov = new ffmpeg_movie($adres);

print '<img src="ffmpeg.php?video='.$f['id'].'&amp;W=100&amp;H=100" alt="prev"><br/>

Koдeк: '.$mov->getVideoCodec().'<br/>
Paзpeшeниe: '.$mov->GetFrameWidth().' x '.$mov->GetFrameHeight().'<br/>';
}

echo '&#160;<u>Описание:</u> '.$f['kom'].'<br/>';
if (user_inf($f[user_id],'sex')==1)$sex = 'Добавил'; else $sex = 'Добавила';
echo '&#160;<u>'.$sex.':</u> '.nik($f[user_id]).'<br/>';
echo '&#160;<u>Оригинал:</u> <a href="'.H.'files/video/'.$f['adres'].'">'.$f['name'].'</a> '.round($f['razmer']).' кб.<br />';

echo '&#160;<u>Формат:</u> '.$f['format'].'<br />';
echo '&#160;<u>Добавлена:</u> '.times($f['time']).'<br />';
echo '&#160;<u>Просмотров:</u> '.$f['prosm'].'<br />';

if($f[user_id]==$user[id] || $user[level]>=5){
echo '<br /><a href="'.H.'video'.$inf['id'].'_'.$f['id'].'?deler">Удалить</a><br />';
}





if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from video_komm where video = '".$f['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from video_komm where video = '".$f['id']."' order by time desc LIMIT $start, $max");
echo '<br />';
if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo menu.'&#160;<b>Комментарии</b>'.div.'показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
if ($_GET['err']==1)echo '<b>Сообщение должно быть длиннее 3 символов!</b><br />';
if ($_GET['err']==2)echo '<b>Вы не можете оставлять комментарии, т.к. находитесь в черном списке '.$inf[user].'.</b><br />';
if ($k_post == 0)echo 'Комментариев пока нет...<br /><br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
if($inf[id]==$user[id] || $user[level]>=5)$delk = '<dt></dt><small>&#160;&#160;<a href="'.H.'video'.$inf['id'].'_'.$f['id'].'?delk='.$a['id'].'">Удалить</a></small><dt></dt>';
else $delk = '<br />';
echo links.'<b>'.nik($a['mgs_id']).'</b> ('.times($a['time']).')'.div;
echo '&#160;'.smiles(antir(antim(bbcode(br($a['msg']))))).'<br/>';
echo $delk;

}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str(H.'video'.$inf['id'].'_'.$f['id'].'?',$k_page,$page); // Вывод страниц
echo "<dl><dt></dt></dl>";
}



if ($ver!='wml')echo '<form action="'.H.'video'.$inf['id'].'_'.$f['id'].'?'.SID.'" method="post">';
if ($ver=='wml')echo 'Ваш комментарий:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else echo 'Ваш комментарий:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/><br />';

if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="'.H.'video'.$inf['id'].'_'.$f['id'].'?'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}



if (isset($_POST['msg'])){
if (strlen2($_POST['msg'])<3){header ('Location: '.H.'video'.$inf['id'].'_'.$f['id'].'?err=1&'.SID); exit;}
if (ignor(user_inf($inf[id]),$user['id'])==1){header ('Location: '.H.'video'.$inf['id'].'_'.$f['id'].'?err=2&'.SID);  exit;}

if ($user['translit']==1)$_POST['msg'] = translit($_POST['msg']);
$db->sql_query ("INSERT INTO video_komm (user_id,mgs_id,msg,time,video) VALUES ('$inf[id]','$user[id]','".check($_POST['msg'])."','$time','$f[id]')");

header ('Location: '.H.'video'.$inf['id'].'_'.$f['id'].'?'.SID);

}






if (isset($_GET['delk'])){
if($inf[id]==$user[id] || $user[level]>=5){
$db->sql_query("DELETE FROM `video_komm` WHERE `id` = '".intval($_GET['delk'])."'");
}

header ('Location: '.H.'video'.$inf['id'].'_'.$f['id'].'?'.SID);

}

}


}

echo '<br />';
echo gb.'<a href="'.H.$inf[id].'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>